<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>The Equal Groups Problem</title>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
    integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
  <link rel="stylesheet" href="style.css" />
</head>

<body>
  <h3>The Equal Groups Problem</h3>
  <div class="card">
    <div class="card-body">
      <h5 class="card-title">Given Values</h5>
      <!--
        Problem 1
          Groups: 9
          Blocks: 9, 9, 8, 8, 8, 7, 7, 7, 6, 6, 5, 5, 5, 5, 4, 3, 3, 2, 2, 2, 2, 2, 2
        Problem 2
          Groups: 9
          Blocks: 9, 9, 8, 8, 8, 7, 7, 7, 6, 5, 5, 5, 4, 4, 4, 3, 3, 3, 3, 2, 2, 2, 2
        Problem 3
          Groups: 9
          Blocks: 9, 9, 9, 9, 8, 8, 8, 7, 7, 7, 6, 6, 6, 5, 5, 5, 4
      -->
      <label for="numberOfGroups">Number Of Groups</label>
      <input type="text" id="numberOfGroups" class="form-control" placeholder="Number Of Groups" value="9" />
      <label for="blocks">Comma Seperated List Of Blocks - e.g. 9, 7, 3 - visualization only works with a max length of
        10 per block</label>
      <input type="text" id="blocks" class="form-control" id="blocks" placeholder="Blocks"
        value="9, 9, 8, 8, 8, 7, 7, 7, 6, 6, 5, 5, 5, 5, 4, 3, 3, 2, 2, 2, 2, 2, 2" />
      <a id="solve" class="btn btn-primary">Solve</a>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <h5 class="card-title">Calculated Values</h5>
      <div><span><strong>Total Workload:</strong> </span><span id="total-workload"></span></div>
      <div><strong><span>Target:</strong> </span><span id="target"></span>
      <div><strong><span>Tasks per group:</strong> </span><span id="tasks-per-group"></span>
      </div>
    </div>
  </div>
  <div id="result-wrapper">
    <div id="results">

    </div>
  </div>
  <script src="https://cdn.jsdelivr.net/npm/lodash@4.17.15/lodash.min.js"></script>
  <script src="./script.js"></script>
</body>

</html>